For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
      • GETList all Inquiry Templates
      • GETRetrieve an Inquiry Template
      • GETRetrieve Inquiry Template Translations
      • POSTImport Inquiry Template Translations
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceInquiry Templates

Retrieve Inquiry Template Translations

GET
https://api.withpersona.com/api/v1/inquiry-templates/:inquiry-template-id/translations
GET
/api/v1/inquiry-templates/:inquiry-template-id/translations
$curl https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "inquiry-template-translations",
4 "id": "itmplv_HAVumeSgCxWxhVb8tTRjaiUB",
5 "attributes": {
6 "translations": [
7 {
8 "step": "start",
9 "step-display-name": "Start",
10 "component": "title",
11 "attribute-name": "text",
12 "locale-values": [
13 {
14 "locale": "en-US",
15 "value": "Getting started"
16 },
17 {
18 "locale": "fr",
19 "value": "Commencer"
20 },
21 {
22 "locale": "es-MX",
23 "value": "Empezar"
24 }
25 ]
26 }
27 ]
28 }
29 }
30}

Retrieves the translations for an Inquiry Template as a JSON:API resource.

The export uses the latest draft version if one exists, otherwise falls back to the latest published version.

Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like Inquiry Templates in Sandbox via API.

Was this page helpful?
Previous

Import Inquiry Template Translations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inquiry-template-idstringRequired
Inquiry Template ID

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns an Inquiry Template Translations object.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.